Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.experimentation
Class ExperimentResultGenerator

    java.lang.Object
      mro.util.experimentation.ExperimentResultGenerator

All Implemented Interfaces:
  HasProperties

    public class ExperimentResultGenerator

extends java.lang.Object
implements HasProperties

Class for summing up an experiment.
`java -cp .:classes/ -Xms3024m -Xmx3024m mro.util.experimentation.ExperimentResultGenerator`
`javac -deprecation -classpath ./classes/ -sourcepath ./src ./src/mro/util/experimentation/*.java -d classes`

Field Summary
`private PropertiesPool` | `pp`
`private Properties` | `properties`
`private ResultPool` | `resultPool`

Constructor Summary
`ExperimentResultGenerator()`

Method Summary
`private void` | `badInput(java.lang.String comment)`
`private void` | `checkInput(java.lang.String[] args)`
`void` | `doIt(java.lang.String[] args)`
`private void` | `doOneDirectory(java.lang.String dir)`
`Properties` | `getDefaultProperties()`
`Properties` | `getProperties()`
`java.lang.Object` | `getPropertyValue(java.lang.String name)`
`static void` | `main(java.lang.String[] args)`
`private void` | `recurseResultPath(java.io.File path)`
`void` | `setProperties(Properties properties)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`void` | `writeAverageMeasuresFiles()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resultPool

    private ResultPool resultPool

### pp

    private PropertiesPool pp

### properties

    private Properties properties

Constructor Detail

### ExperimentResultGenerator

    public ExperimentResultGenerator()

Method Detail

### getDefaultProperties

    public Properties getDefaultProperties()

  Specified by:
    `getDefaultProperties` in interface `HasProperties`

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.String name)

  Specified by:
    `getPropertyValue` in interface `HasProperties`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws PropertyNotFoundException

  Specified by:
    `setProperty` in interface `HasProperties`
  Throws:
    `PropertyNotFoundException`

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `HasProperties`

### setProperties

    public void setProperties(Properties properties)

  Specified by:
    `setProperties` in interface `HasProperties`

### main

    public static void main(java.lang.String[] args)
                     throws org.xml.sax.SAXException,
                            java.io.IOException,
                            PropertyNotFoundException,
                            MeasureNameConflictException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`
    `PropertyNotFoundException`
    `MeasureNameConflictException`

### doIt

    public void doIt(java.lang.String[] args)
              throws java.io.IOException,
                     org.xml.sax.SAXException,
                     PropertyNotFoundException,
                     MeasureNameConflictException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
    `PropertyNotFoundException`
    `MeasureNameConflictException`

### recurseResultPath

    private void recurseResultPath(java.io.File path)
                            throws java.io.IOException,
                                   org.xml.sax.SAXException,
                                   MeasureNameConflictException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
    `MeasureNameConflictException`

### doOneDirectory

    private void doOneDirectory(java.lang.String dir)
                         throws java.io.IOException,
                                org.xml.sax.SAXException,
                                MeasureNameConflictException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
    `MeasureNameConflictException`

### writeAverageMeasuresFiles

    public void writeAverageMeasuresFiles()
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### badInput

    private void badInput(java.lang.String comment)

### checkInput

    private void checkInput(java.lang.String[] args)
                     throws java.io.IOException,
                            org.xml.sax.SAXException,
                            PropertyNotFoundException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
    `PropertyNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD